Bug 851792 - Shared SSL cert contains typo: "Organizational Unit: RHC Cloud Opoerations"
Shared SSL cert contains typo: "Organizational Unit: RHC Cloud Opoerations"
Status: CLOSED WONTFIX
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Anderson Silva
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-25 17:05 EDT by Nam Duong
Modified: 2015-05-14 18:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 14:12:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nam Duong 2012-08-25 17:05:23 EDT
This is more for Ops, but couldn't find a more fitting Component

Description of problem: 
User reported this on mailing list.

There's a typo in the Shared SSL cert:
"Organizational Unit (OU):  RHC Cloud Opoerations"
Comment 1 Nam Duong 2012-08-25 17:07:20 EDT
User comments:
"I am not sure if it is a problem or if it can be safely ignored (from my experience only certain CAs do something about it) but I noticed that there is a small typo in the shared SSL certificate use on the app: simpleupload-dsage.rhcloud.com. Like I said before, it really depends on if GeoTrust truly cares about the small things but I thought I'd let you know just in case you didn't already"
Comment 2 Mike McGrath 2012-08-27 08:26:20 EDT
Re assigning to Anderson.  I suspect we'll just fix this one next time the cert exspires.
Comment 3 Anderson Silva 2012-08-27 09:34:40 EDT
First apologies on the typo... certainly a d'oh moment.

Talked to IT... here's the info:

<anderson> ping, question about certs... Someone noticed a misspell on the Organizational Unit in the certs we worked on for openshift... Is there a way to fix the misspelling for free? Can I cut you knew requests and update the cert? Basically, we are only interested in fixing the misspelling if it can be done  without us purchasing a new cert.
<walrus> we can revoke/replace
<walrus> for free
<walrus> it'll break the cert if the app is doing crl checking
<anderson> can an old one be revoked only after the new one has been issued and deployed?
<anderson> would all you need from me is a new csr?
<walrus> no
<walrus> revoke has to be done first
<anderson> and will it break the site as soon as the cert is revoked? or there a grace period?
<walrus> don't know, depends if apps are doing CRL checking
<anderson> I don't think we do crl checking (that I can remember)
<anderson> or is that on the browser side?
<walrus> browser side
<anderson> figures
<anderson> :-)
<walrus> they usually od it
<walrus> do it
<anderson> yeah, I could see that being good practice

I talked to mike, and at least for now, we are going to leave the cert as is.
Comment 4 Mike McGrath 2012-08-29 14:12:37 EDT
Lets just try to fix this next time it's about to expire.

Note You need to log in before you can comment on or make changes to this bug.